Token API > Endpoints
2 minutes
Endpoint Pricing
Pricing Tiers
| Free Tier | Scale Tier | Pro Tier | Enterprise |
|---|---|---|---|
| $25 of total usage across available endpoints | $50 of total usage across available endpoints | $200 of total usage across available endpoints | Custom plan across available endpoints |
| Query parameters: 10 items returned, batch size 1 | Query parameters: 100 items returned, batch size 25 | Query parameters: 500 items returned, batch size 50 | Custom items returned and batch size |
| Rate limit: 200/min | Rate limit: 500/min | Rate limit: 1000/min | Custom rate limit |
| Time parameters: 1h, 4h, 1d, 1w intervals | Time parameters: 1m, 5m, 10m, 30m, 1h, 4h, 1d, 1w intervals | Time parameters: 1m, 5m, 10m, 30m, 1h, 4h, 1d, 1w intervals | Time parameters: 1m, 5m, 10m, 30m, 1h, 4h, 1d, 1w intervals |
| Historical price data: Full availability | Historical price data: Full availability | Historical price data: Full availability | Historical price data: Full availability |
| No additional queries allowed outside of free tier | Pay-as-you-go once included usage is exceeded | Pay-as-you-go once included usage is exceeded | SLAs + Engineering Support |
Time Intervals and Parameters
- Full historical data is available on all plans.
- Pagination is still required to fetch all results.
- You can use
start_timeandend_timeto move your time window across history.- Example:
start_time=2025-01-01,end_time=2025-01-28, andinterval=4h(Free plan) will return 28 days of data for that range.
- Example:
Token Endpoints - $15/mil queries
Query token transfers, balances, and metadata across EVM and SVM blockchains
1GET /v1/evm/tokens2GET /v1/svm/tokens3GET /v1/tvm/tokens4GET /v1/evm/tokens/native5GET /v1/tvm/tokens/native6GET /v1/evm/transfers7GET /v1/svm/transfers8GET /v1/tvm/transfers9GET /v1/evm/transfers/native10GET /v1/tvm/transfers/native11GET /v1/evm/balances12GET /v1/svm/balances13GET /v1/evm/balances/native14GET /v1/svm/balances/native15GET /v1/svm/ownerDEX Endpoints - $50/mil queries
Access on-chain swap, liquidity pool, and decentralized exchange data
1GET /v1/evm/swaps2GET /v1/svm/swaps3GET /v1/tvm/swaps4GET /v1/evm/pools5GET /v1/svm/pools6GET /v1/tvm/poolsNFT Endpoints - $50/mil queries
Retrieve NFT transfers, ownership details, collections, and sales activity
1GET /v1/evm/nft/items2GET /v1/evm/nft/collections3GET /v1/evm/nft/sales4GET /v1/evm/nft/ownerships5GET /v1/evm/nft/transfersAggregate & Historical Endpoints - $200/mil queries
Provide summarized, ranked, and time-series blockchain data for analytical use
1GET /v1/evm/holders2GET /v1/svm/holders3GET /v1/evm/holders/native4GET /v1/evm/nft/holders5GET /v1/evm/pools/ohlc6GET /v1/svm/pools/ohlc7GET /v1/tvm/pools/ohlc8GET /v1/evm/balances/historical9GET /v1/evm/balances/historical/nativeMonitoring Endpoints - Free
Offer real-time API, network, and version health information for system status
1GET /v1/health2GET /v1/version3GET /v1/networks4GET /v1/evm/dexes5GET /v1/svm/dexes6GET /v1/tvm/dexes